Loading...
Searching...
No Matches
lomiri::shell::notifications::SourceInterface Class Reference

A source of notifications. More...

`#include <lomiri/shell/notifications/SourceInterface.h>`

Inheritance diagram for lomiri::shell::notifications::SourceInterface:
[legend]
Collaboration diagram for lomiri::shell::notifications::SourceInterface:
[legend]

## Signals

void | modelChanged (ModelInterface *model)

## Properties

lomiri::shell::notifications::ModelInterface * | model
| The model to which to send incoming notifications.

## Detailed Description

A source of notifications.

This should feed the model with new notifications from an implementation-specific source.

## Member Function Documentation

## modelChanged

void lomiri::shell::notifications::SourceInterface::modelChanged | ( | ModelInterface * | model | ) |

signal

Emitted when value of the model property has changed.

Parameters

  model | New value of the model property.

## Property Documentation

## model

lomiri::shell::notifications::ModelInterface* lomiri::shell::notifications::SourceInterface::model

read write

The model to which to send incoming notifications.

Accessors:\n model(), setModel(ModelInterface* model)

Notifier:\n modelChanged(ModelInterface* model)

The documentation for this class was generated from the following file:

- include/lomiri/shell/notifications/SourceInterface.h